package com.ecosway.connector.services.dotcom.domain;

/**
 * Represents the shopper registration request.
 * 
 * @author chinyeh
 *
 */
public class MemberRegistrationRequest {

	private Shopper shopper;
	
	private ShopperAddress shopperAddress;

	/**
	 * @return the shopper
	 */
	public Shopper getShopper() {
		return shopper;
	}

	/**
	 * @param shopper the shopper to set
	 */
	public void setShopper(Shopper shopper) {
		this.shopper = shopper;
	}

	/**
	 * @return the shopperAddress
	 */
	public ShopperAddress getShopperAddress() {
		return shopperAddress;
	}

	/**
	 * @param shopperAddress the shopperAddress to set
	 */
	public void setShopperAddress(ShopperAddress shopperAddress) {
		this.shopperAddress = shopperAddress;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("MemberRegistrationRequest [shopper=");
		builder.append(shopper);
		builder.append(", shopperAddress=");
		builder.append(shopperAddress);
		builder.append("]");
		return builder.toString();
	}
	
}
