package com.ecosway.connector.services.dotcom.domain;

/**
 * The shopper's address entity.
 * 
 * @author chinyeh
 *
 */
public class ShopperAddress {

	private Integer addressRefNo;
	
	private Integer shopperRefNo;
	
	private String name;
	
	private String salutation;
	
	private String type;
	
	private String homePhone;
	
	private String mobile;
	
	private String faxNo;
	
	private String address1;
	
	private String address2;
	
	private String address3;
	
	private String city;
	
	private String state;
	
	private String countryCode;
	
	private String postCode;
	
	private String email1;
	
	private String email2;
	
	private String officePhone;
	
	private String name2;
	
	private String seLang;
	
	private String postOffice;
	
	private String paraAdrFlag;

	/**
	 * @return the addressRefNo
	 */
	public Integer getAddressRefNo() {
		return addressRefNo;
	}

	/**
	 * @return the shopperRefNo
	 */
	public Integer getShopperRefNo() {
		return shopperRefNo;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @return the salutation
	 */
	public String getSalutation() {
		return salutation;
	}

	/**
	 * @return the type
	 */
	public String getType() {
		return type;
	}

	/**
	 * @return the homePhone
	 */
	public String getHomePhone() {
		return homePhone;
	}

	/**
	 * @return the mobile
	 */
	public String getMobile() {
		return mobile;
	}

	/**
	 * @return the faxNo
	 */
	public String getFaxNo() {
		return faxNo;
	}

	/**
	 * @return the address1
	 */
	public String getAddress1() {
		return address1;
	}

	/**
	 * @return the address2
	 */
	public String getAddress2() {
		return address2;
	}

	/**
	 * @return the address3
	 */
	public String getAddress3() {
		return address3;
	}

	/**
	 * @return the city
	 */
	public String getCity() {
		return city;
	}

	/**
	 * @return the state
	 */
	public String getState() {
		return state;
	}

	/**
	 * @return the countryCode
	 */
	public String getCountryCode() {
		return countryCode;
	}

	/**
	 * @return the postCode
	 */
	public String getPostCode() {
		return postCode;
	}

	/**
	 * @return the email1
	 */
	public String getEmail1() {
		return email1;
	}

	/**
	 * @return the email2
	 */
	public String getEmail2() {
		return email2;
	}

	/**
	 * @return the officePhone
	 */
	public String getOfficePhone() {
		return officePhone;
	}

	/**
	 * @return the name2
	 */
	public String getName2() {
		return name2;
	}

	/**
	 * @return the seLang
	 */
	public String getSeLang() {
		return seLang;
	}

	/**
	 * @return the postOffice
	 */
	public String getPostOffice() {
		return postOffice;
	}

	/**
	 * @return the paraAdrFlag
	 */
	public String getParaAdrFlag() {
		return paraAdrFlag;
	}

	/**
	 * @param addressRefNo the addressRefNo to set
	 */
	public void setAddressRefNo(Integer addressRefNo) {
		this.addressRefNo = addressRefNo;
	}

	/**
	 * @param shopperRefNo the shopperRefNo to set
	 */
	public void setShopperRefNo(Integer shopperRefNo) {
		this.shopperRefNo = shopperRefNo;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @param salutation the salutation to set
	 */
	public void setSalutation(String salutation) {
		this.salutation = salutation;
	}

	/**
	 * @param type the type to set
	 */
	public void setType(String type) {
		this.type = type;
	}

	/**
	 * @param homePhone the homePhone to set
	 */
	public void setHomePhone(String homePhone) {
		this.homePhone = homePhone;
	}

	/**
	 * @param mobile the mobile to set
	 */
	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	/**
	 * @param faxNo the faxNo to set
	 */
	public void setFaxNo(String faxNo) {
		this.faxNo = faxNo;
	}

	/**
	 * @param address1 the address1 to set
	 */
	public void setAddress1(String address1) {
		this.address1 = address1;
	}

	/**
	 * @param address2 the address2 to set
	 */
	public void setAddress2(String address2) {
		this.address2 = address2;
	}

	/**
	 * @param address3 the address3 to set
	 */
	public void setAddress3(String address3) {
		this.address3 = address3;
	}

	/**
	 * @param city the city to set
	 */
	public void setCity(String city) {
		this.city = city;
	}

	/**
	 * @param state the state to set
	 */
	public void setState(String state) {
		this.state = state;
	}

	/**
	 * @param countryCode the countryCode to set
	 */
	public void setCountryCode(String countryCode) {
		this.countryCode = countryCode;
	}

	/**
	 * @param postCode the postCode to set
	 */
	public void setPostCode(String postCode) {
		this.postCode = postCode;
	}

	/**
	 * @param email1 the email1 to set
	 */
	public void setEmail1(String email1) {
		this.email1 = email1;
	}

	/**
	 * @param email2 the email2 to set
	 */
	public void setEmail2(String email2) {
		this.email2 = email2;
	}

	/**
	 * @param officePhone the officePhone to set
	 */
	public void setOfficePhone(String officePhone) {
		this.officePhone = officePhone;
	}

	/**
	 * @param name2 the name2 to set
	 */
	public void setName2(String name2) {
		this.name2 = name2;
	}

	/**
	 * @param seLang the seLang to set
	 */
	public void setSeLang(String seLang) {
		this.seLang = seLang;
	}

	/**
	 * @param postOffice the postOffice to set
	 */
	public void setPostOffice(String postOffice) {
		this.postOffice = postOffice;
	}

	/**
	 * @param paraAdrFlag the paraAdrFlag to set
	 */
	public void setParaAdrFlag(String paraAdrFlag) {
		this.paraAdrFlag = paraAdrFlag;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("ShopperAddress [address1=");
		builder.append(address1);
		builder.append(", address2=");
		builder.append(address2);
		builder.append(", address3=");
		builder.append(address3);
		builder.append(", addressRefNo=");
		builder.append(addressRefNo);
		builder.append(", city=");
		builder.append(city);
		builder.append(", countryCode=");
		builder.append(countryCode);
		builder.append(", email1=");
		builder.append(email1);
		builder.append(", email2=");
		builder.append(email2);
		builder.append(", faxNo=");
		builder.append(faxNo);
		builder.append(", homePhone=");
		builder.append(homePhone);
		builder.append(", mobile=");
		builder.append(mobile);
		builder.append(", name=");
		builder.append(name);
		builder.append(", name2=");
		builder.append(name2);
		builder.append(", officePhone=");
		builder.append(officePhone);
		builder.append(", paraAdrFlag=");
		builder.append(paraAdrFlag);
		builder.append(", postCode=");
		builder.append(postCode);
		builder.append(", postOffice=");
		builder.append(postOffice);
		builder.append(", salutation=");
		builder.append(salutation);
		builder.append(", seLang=");
		builder.append(seLang);
		builder.append(", shopperRefNo=");
		builder.append(shopperRefNo);
		builder.append(", state=");
		builder.append(state);
		builder.append(", type=");
		builder.append(type);
		builder.append("]");
		return builder.toString();
	}
	
}
