CREATE TABLE shopper  (
		  SHRFNBR INTEGER NOT NULL , 
		  SHLOGID CHAR(15) NOT NULL , 
		  SHLPSWD CHAR(32) , 
		  SHSHTYP CHAR(4) NOT NULL , 
		  SHCOMM CHAR(2) , 
		  SHPHLST SMALLINT , 
		  SHLVSTMP TIMESTAMP , 
		  SHLOSTMP TIMESTAMP , 
		  SHRSTMP TIMESTAMP , 
		  SHCSTMP TIMESTAMP , 
		  SHLUSTMP TIMESTAMP , 
		  SHCNTCT INTEGER , 
		  SHCHAQUE VARCHAR(254) , 
		  SHCHAANS VARCHAR(254) , 
		  SHPREFERREDCURR CHAR(3) , 
		  STATUS CHAR(1)  DEFAULT 'N' , 
		  USER_GRP INTEGER  DEFAULT 0 , 
		  USER_LEVEL INTEGER  DEFAULT 0 , 
		  UNIT_REL VARCHAR(250) , 
		  SHUPSWD CHAR(31) , 
		  SHAUTORENEW CHAR(1) , 
		  SHMULTIPLE_SIGNIN CHAR(1) , 
		  SHMULTIPLE_COUNT INTEGER , 
		  NEW_IND CHAR(1) , 
		  CREATED_ID CHAR(15) , 
		  DATE_CREATED TIMESTAMP , 
		  LOGIN_ATTEMPT INTEGER , 
		  BONUS_PAY_METHOD DECIMAL(12,2) , 
		  CARD_ISSUE CHAR(1) , 
		  SHOPPER_GRP CHAR(4) , 
		  SHOPPER_NAME VARCHAR(100) , 
		  ORDER_LIMIT DECIMAL(12,2) , 
		  WEBMAIL_IND CHAR(1)  DEFAULT 'N' , 
		  LAST_MODIFIED CHAR(15) , 
		  RETENT_AMT DECIMAL(15,2)  DEFAULT 0 , 
		  DEL_BO_IND CHAR(1)  DEFAULT 'N' , 
		  SHOPPER_IC CHAR(30) , 
		  EDO_IND CHAR(1) , 
		  STOCKIST CHAR(30) , 
		  PAY_BY_CHEQUE CHAR(1)  DEFAULT 'N' , 
		  AUTO_APPLY CHAR(1)  DEFAULT 'N' , 
		  BROADCAST_IND CHAR(1) , 
		  BO_SCHEME VARCHAR(2) , 
		  ADD_EV_IND CHAR(1)  DEFAULT 'N' , 
		  ADD_EV_MTH VARCHAR(6) , 
		  CVP_AWARD CHAR(1)  DEFAULT 'N' , 
		  MODIFIED_DATE TIMESTAMP , 
		  APPROVED_DATE TIMESTAMP , 
		  LAST_APPROVED VARCHAR(15) , 
		  REMARKS VARCHAR(100) , 
		  WEBMAIL_PATH VARCHAR(10) , 
		  LAST_OFFLINE_ON TIMESTAMP , 
		  OCCL_CARD_NUMBER VARCHAR(20) , 
		  ABN_NO VARCHAR(13) , 
		  ACN_NO VARCHAR(11) , 
		  GST_FILLING_IND CHAR(1)  DEFAULT 'N' , 
		  ISO_RULES_IND CHAR(1)  DEFAULT 'O' , 
		  HOBBY_IND CHAR(1)  DEFAULT 'N' , 
		  ISO_SELF CHAR(1)  DEFAULT 'N' , 
		  APPROVAL_CODE VARCHAR(10) , 
		  SPONSOR_SERIAL_NO VARCHAR(10) , 
		  SHOPPER_SERIAL_NO VARCHAR(10) , 
		  EI_CLASS CHAR(1) , 
		  EI_EXPIRY_DATE DATE , 
		  EI_QUALIFY_EV DECIMAL(15,2) , 
		  EI_MODIFY_DATETIME TIMESTAMP , 
		  PROFIT_CENTER VARCHAR(2) NOT NULL  DEFAULT 'N' , 
		  TAX_FORM_IND INTEGER  DEFAULT 0 , 
		  SSN_IND CHAR(1)  DEFAULT 'Y' , 
		  DP_QUALIFY_MET CHAR(1)  DEFAULT 'N' ); 

ALTER TABLE shopper ADD PRIMARY KEY (SHRFNBR);
