package com.ecosway.connector.services.dotcom.domain;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Represents the shopper model.
 * 
 * @author chinyeh
 *
 */
public class Shopper {
	
	private Integer shopperRefNo;

	private String shopperId;

	private String shopperName;

	private String password;

	private String secretPassword;

	private String gender;

	private String icNo;

	private String nationality;

	private Date dateOfBirth;

	private String countryCode;

	private String seLang;

	private String status;

	private String registrationType;

	private String stockistCode;

	private String shopperType;

	private String shopperGroup;

	private String distGroupLeader;

	private String sponsorRefNo;

	private String tempSponsorId;

	private BigDecimal retentionAmt;

	private String coswayId;

	private String multipleSignIn;

	private Integer multipleCount;

	private Integer loginAttempt;

	private BigDecimal bonusPayMethod;

	private String cardIssue;

	private String modifyBy;

	private Date modifyDateTime;

	private Date approveDateTime;

	private String approveBy;

	private Date joinDate;

	private Date expiryDate;

	private Date isoExpiryDate;

	private Date terminateDate;

	private String createBy;

	private Date createDateTime;

	private Date lastActivityDateTime;

	private Date lockDateTime;

	private String idCardCollectType;

	private String idCardReceive;

	private String newInd;

	private String autoRenewInd;

	private String payByCheque;

	private String autoApply;

	private String broadcastInd;

	private String webMailInd;

	private String boScheme;

	private Date idCardReceiveDate;

	private String occlCardNo;

	private Date edoExpiryDate;

	private String abnNo;

	private String acnNo;

	private String gstFillingInd;

	private String hobbyInd;

	private String sponsorSerialNo;

	private String shopperSerialNo;

	private String isoRulesInd;

	private String profitCenter;

	/**
	 * @return the shopperRefNo
	 */
	public Integer getShopperRefNo() {
		return shopperRefNo;
	}

	/**
	 * @return the shopperId
	 */
	public String getShopperId() {
		return shopperId;
	}

	/**
	 * @return the shopperName
	 */
	public String getShopperName() {
		return shopperName;
	}

	/**
	 * @return the password
	 */
	public String getPassword() {
		return password;
	}

	/**
	 * @return the secretPassword
	 */
	public String getSecretPassword() {
		return secretPassword;
	}

	/**
	 * @return the gender
	 */
	public String getGender() {
		return gender;
	}

	/**
	 * @return the icNo
	 */
	public String getIcNo() {
		return icNo;
	}

	/**
	 * @return the nationality
	 */
	public String getNationality() {
		return nationality;
	}

	/**
	 * @return the dateOfBirth
	 */
	public Date getDateOfBirth() {
		return dateOfBirth;
	}

	/**
	 * @return the countryCode
	 */
	public String getCountryCode() {
		return countryCode;
	}

	/**
	 * @return the seLang
	 */
	public String getSeLang() {
		return seLang;
	}

	/**
	 * @return the status
	 */
	public String getStatus() {
		return status;
	}

	/**
	 * @return the registrationType
	 */
	public String getRegistrationType() {
		return registrationType;
	}

	/**
	 * @return the stockistCode
	 */
	public String getStockistCode() {
		return stockistCode;
	}

	/**
	 * @return the shopperType
	 */
	public String getShopperType() {
		return shopperType;
	}

	/**
	 * @return the shopperGroup
	 */
	public String getShopperGroup() {
		return shopperGroup;
	}

	/**
	 * @return the distGroupLeader
	 */
	public String getDistGroupLeader() {
		return distGroupLeader;
	}

	/**
	 * @return the sponsorRefNo
	 */
	public String getSponsorRefNo() {
		return sponsorRefNo;
	}

	/**
	 * @return the tempSponsorId
	 */
	public String getTempSponsorId() {
		return tempSponsorId;
	}

	/**
	 * @return the retentionAmt
	 */
	public BigDecimal getRetentionAmt() {
		return retentionAmt;
	}

	/**
	 * @return the coswayId
	 */
	public String getCoswayId() {
		return coswayId;
	}

	/**
	 * @return the multipleSignIn
	 */
	public String getMultipleSignIn() {
		return multipleSignIn;
	}

	/**
	 * @return the multipleCount
	 */
	public Integer getMultipleCount() {
		return multipleCount;
	}

	/**
	 * @return the loginAttempt
	 */
	public Integer getLoginAttempt() {
		return loginAttempt;
	}

	/**
	 * @return the bonusPayMethod
	 */
	public BigDecimal getBonusPayMethod() {
		return bonusPayMethod;
	}

	/**
	 * @return the cardIssue
	 */
	public String getCardIssue() {
		return cardIssue;
	}

	/**
	 * @return the modifyBy
	 */
	public String getModifyBy() {
		return modifyBy;
	}

	/**
	 * @return the modifyDateTime
	 */
	public Date getModifyDateTime() {
		return modifyDateTime;
	}

	/**
	 * @return the approveDateTime
	 */
	public Date getApproveDateTime() {
		return approveDateTime;
	}

	/**
	 * @return the approveBy
	 */
	public String getApproveBy() {
		return approveBy;
	}

	/**
	 * @return the joinDate
	 */
	public Date getJoinDate() {
		return joinDate;
	}

	/**
	 * @return the expiryDate
	 */
	public Date getExpiryDate() {
		return expiryDate;
	}

	/**
	 * @return the isoExpiryDate
	 */
	public Date getIsoExpiryDate() {
		return isoExpiryDate;
	}

	/**
	 * @return the terminateDate
	 */
	public Date getTerminateDate() {
		return terminateDate;
	}

	/**
	 * @return the createBy
	 */
	public String getCreateBy() {
		return createBy;
	}

	/**
	 * @return the createDateTime
	 */
	public Date getCreateDateTime() {
		return createDateTime;
	}

	/**
	 * @return the lastActivityDateTime
	 */
	public Date getLastActivityDateTime() {
		return lastActivityDateTime;
	}

	/**
	 * @return the lockDateTime
	 */
	public Date getLockDateTime() {
		return lockDateTime;
	}

	/**
	 * @return the idCardCollectType
	 */
	public String getIdCardCollectType() {
		return idCardCollectType;
	}

	/**
	 * @return the idCardReceive
	 */
	public String getIdCardReceive() {
		return idCardReceive;
	}

	/**
	 * @return the newInd
	 */
	public String getNewInd() {
		return newInd;
	}

	/**
	 * @return the autoRenewInd
	 */
	public String getAutoRenewInd() {
		return autoRenewInd;
	}

	/**
	 * @return the payByCheque
	 */
	public String getPayByCheque() {
		return payByCheque;
	}

	/**
	 * @return the autoApply
	 */
	public String getAutoApply() {
		return autoApply;
	}

	/**
	 * @return the broadcastInd
	 */
	public String getBroadcastInd() {
		return broadcastInd;
	}

	/**
	 * @return the webMailInd
	 */
	public String getWebMailInd() {
		return webMailInd;
	}

	/**
	 * @return the boScheme
	 */
	public String getBoScheme() {
		return boScheme;
	}

	/**
	 * @return the idCardReceiveDate
	 */
	public Date getIdCardReceiveDate() {
		return idCardReceiveDate;
	}

	/**
	 * @return the occlCardNo
	 */
	public String getOcclCardNo() {
		return occlCardNo;
	}

	/**
	 * @return the edoExpiryDate
	 */
	public Date getEdoExpiryDate() {
		return edoExpiryDate;
	}

	/**
	 * @return the abnNo
	 */
	public String getAbnNo() {
		return abnNo;
	}

	/**
	 * @return the acnNo
	 */
	public String getAcnNo() {
		return acnNo;
	}

	/**
	 * @return the gstFillingInd
	 */
	public String getGstFillingInd() {
		return gstFillingInd;
	}

	/**
	 * @return the hobbyInd
	 */
	public String getHobbyInd() {
		return hobbyInd;
	}

	/**
	 * @return the sponsorSerialNo
	 */
	public String getSponsorSerialNo() {
		return sponsorSerialNo;
	}

	/**
	 * @return the shopperSerialNo
	 */
	public String getShopperSerialNo() {
		return shopperSerialNo;
	}

	/**
	 * @return the isoRulesInd
	 */
	public String getIsoRulesInd() {
		return isoRulesInd;
	}

	/**
	 * @return the profitCenter
	 */
	public String getProfitCenter() {
		return profitCenter;
	}

	/**
	 * @param shopperRefNo the shopperRefNo to set
	 */
	public void setShopperRefNo(Integer shopperRefNo) {
		this.shopperRefNo = shopperRefNo;
	}

	/**
	 * @param shopperId the shopperId to set
	 */
	public void setShopperId(String shopperId) {
		this.shopperId = shopperId;
	}

	/**
	 * @param shopperName the shopperName to set
	 */
	public void setShopperName(String shopperName) {
		this.shopperName = shopperName;
	}

	/**
	 * @param password the password to set
	 */
	public void setPassword(String password) {
		this.password = password;
	}

	/**
	 * @param secretPassword the secretPassword to set
	 */
	public void setSecretPassword(String secretPassword) {
		this.secretPassword = secretPassword;
	}

	/**
	 * @param gender the gender to set
	 */
	public void setGender(String gender) {
		this.gender = gender;
	}

	/**
	 * @param icNo the icNo to set
	 */
	public void setIcNo(String icNo) {
		this.icNo = icNo;
	}

	/**
	 * @param nationality the nationality to set
	 */
	public void setNationality(String nationality) {
		this.nationality = nationality;
	}

	/**
	 * @param dateOfBirth the dateOfBirth to set
	 */
	public void setDateOfBirth(Date dateOfBirth) {
		this.dateOfBirth = dateOfBirth;
	}

	/**
	 * @param countryCode the countryCode to set
	 */
	public void setCountryCode(String countryCode) {
		this.countryCode = countryCode;
	}

	/**
	 * @param seLang the seLang to set
	 */
	public void setSeLang(String seLang) {
		this.seLang = seLang;
	}

	/**
	 * @param status the status to set
	 */
	public void setStatus(String status) {
		this.status = status;
	}

	/**
	 * @param registrationType the registrationType to set
	 */
	public void setRegistrationType(String registrationType) {
		this.registrationType = registrationType;
	}

	/**
	 * @param stockistCode the stockistCode to set
	 */
	public void setStockistCode(String stockistCode) {
		this.stockistCode = stockistCode;
	}

	/**
	 * @param shopperType the shopperType to set
	 */
	public void setShopperType(String shopperType) {
		this.shopperType = shopperType;
	}

	/**
	 * @param shopperGroup the shopperGroup to set
	 */
	public void setShopperGroup(String shopperGroup) {
		this.shopperGroup = shopperGroup;
	}

	/**
	 * @param distGroupLeader the distGroupLeader to set
	 */
	public void setDistGroupLeader(String distGroupLeader) {
		this.distGroupLeader = distGroupLeader;
	}

	/**
	 * @param sponsorRefNo the sponsorRefNo to set
	 */
	public void setSponsorRefNo(String sponsorRefNo) {
		this.sponsorRefNo = sponsorRefNo;
	}

	/**
	 * @param tempSponsorId the tempSponsorId to set
	 */
	public void setTempSponsorId(String tempSponsorId) {
		this.tempSponsorId = tempSponsorId;
	}

	/**
	 * @param retentionAmt the retentionAmt to set
	 */
	public void setRetentionAmt(BigDecimal retentionAmt) {
		this.retentionAmt = retentionAmt;
	}

	/**
	 * @param coswayId the coswayId to set
	 */
	public void setCoswayId(String coswayId) {
		this.coswayId = coswayId;
	}

	/**
	 * @param multipleSignIn the multipleSignIn to set
	 */
	public void setMultipleSignIn(String multipleSignIn) {
		this.multipleSignIn = multipleSignIn;
	}

	/**
	 * @param multipleCount the multipleCount to set
	 */
	public void setMultipleCount(Integer multipleCount) {
		this.multipleCount = multipleCount;
	}

	/**
	 * @param loginAttempt the loginAttempt to set
	 */
	public void setLoginAttempt(Integer loginAttempt) {
		this.loginAttempt = loginAttempt;
	}

	/**
	 * @param bonusPayMethod the bonusPayMethod to set
	 */
	public void setBonusPayMethod(BigDecimal bonusPayMethod) {
		this.bonusPayMethod = bonusPayMethod;
	}

	/**
	 * @param cardIssue the cardIssue to set
	 */
	public void setCardIssue(String cardIssue) {
		this.cardIssue = cardIssue;
	}

	/**
	 * @param modifyBy the modifyBy to set
	 */
	public void setModifyBy(String modifyBy) {
		this.modifyBy = modifyBy;
	}

	/**
	 * @param modifyDateTime the modifyDateTime to set
	 */
	public void setModifyDateTime(Date modifyDateTime) {
		this.modifyDateTime = modifyDateTime;
	}

	/**
	 * @param approveDateTime the approveDateTime to set
	 */
	public void setApproveDateTime(Date approveDateTime) {
		this.approveDateTime = approveDateTime;
	}

	/**
	 * @param approveBy the approveBy to set
	 */
	public void setApproveBy(String approveBy) {
		this.approveBy = approveBy;
	}

	/**
	 * @param joinDate the joinDate to set
	 */
	public void setJoinDate(Date joinDate) {
		this.joinDate = joinDate;
	}

	/**
	 * @param expiryDate the expiryDate to set
	 */
	public void setExpiryDate(Date expiryDate) {
		this.expiryDate = expiryDate;
	}

	/**
	 * @param isoExpiryDate the isoExpiryDate to set
	 */
	public void setIsoExpiryDate(Date isoExpiryDate) {
		this.isoExpiryDate = isoExpiryDate;
	}

	/**
	 * @param terminateDate the terminateDate to set
	 */
	public void setTerminateDate(Date terminateDate) {
		this.terminateDate = terminateDate;
	}

	/**
	 * @param createBy the createBy to set
	 */
	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	/**
	 * @param createDateTime the createDateTime to set
	 */
	public void setCreateDateTime(Date createDateTime) {
		this.createDateTime = createDateTime;
	}

	/**
	 * @param lastActivityDateTime the lastActivityDateTime to set
	 */
	public void setLastActivityDateTime(Date lastActivityDateTime) {
		this.lastActivityDateTime = lastActivityDateTime;
	}

	/**
	 * @param lockDateTime the lockDateTime to set
	 */
	public void setLockDateTime(Date lockDateTime) {
		this.lockDateTime = lockDateTime;
	}

	/**
	 * @param idCardCollectType the idCardCollectType to set
	 */
	public void setIdCardCollectType(String idCardCollectType) {
		this.idCardCollectType = idCardCollectType;
	}

	/**
	 * @param idCardReceive the idCardReceive to set
	 */
	public void setIdCardReceive(String idCardReceive) {
		this.idCardReceive = idCardReceive;
	}

	/**
	 * @param newInd the newInd to set
	 */
	public void setNewInd(String newInd) {
		this.newInd = newInd;
	}

	/**
	 * @param autoRenewInd the autoRenewInd to set
	 */
	public void setAutoRenewInd(String autoRenewInd) {
		this.autoRenewInd = autoRenewInd;
	}

	/**
	 * @param payByCheque the payByCheque to set
	 */
	public void setPayByCheque(String payByCheque) {
		this.payByCheque = payByCheque;
	}

	/**
	 * @param autoApply the autoApply to set
	 */
	public void setAutoApply(String autoApply) {
		this.autoApply = autoApply;
	}

	/**
	 * @param broadcastInd the broadcastInd to set
	 */
	public void setBroadcastInd(String broadcastInd) {
		this.broadcastInd = broadcastInd;
	}

	/**
	 * @param webMailInd the webMailInd to set
	 */
	public void setWebMailInd(String webMailInd) {
		this.webMailInd = webMailInd;
	}

	/**
	 * @param boScheme the boScheme to set
	 */
	public void setBoScheme(String boScheme) {
		this.boScheme = boScheme;
	}

	/**
	 * @param idCardReceiveDate the idCardReceiveDate to set
	 */
	public void setIdCardReceiveDate(Date idCardReceiveDate) {
		this.idCardReceiveDate = idCardReceiveDate;
	}

	/**
	 * @param occlCardNo the occlCardNo to set
	 */
	public void setOcclCardNo(String occlCardNo) {
		this.occlCardNo = occlCardNo;
	}

	/**
	 * @param edoExpiryDate the edoExpiryDate to set
	 */
	public void setEdoExpiryDate(Date edoExpiryDate) {
		this.edoExpiryDate = edoExpiryDate;
	}

	/**
	 * @param abnNo the abnNo to set
	 */
	public void setAbnNo(String abnNo) {
		this.abnNo = abnNo;
	}

	/**
	 * @param acnNo the acnNo to set
	 */
	public void setAcnNo(String acnNo) {
		this.acnNo = acnNo;
	}

	/**
	 * @param gstFillingInd the gstFillingInd to set
	 */
	public void setGstFillingInd(String gstFillingInd) {
		this.gstFillingInd = gstFillingInd;
	}

	/**
	 * @param hobbyInd the hobbyInd to set
	 */
	public void setHobbyInd(String hobbyInd) {
		this.hobbyInd = hobbyInd;
	}

	/**
	 * @param sponsorSerialNo the sponsorSerialNo to set
	 */
	public void setSponsorSerialNo(String sponsorSerialNo) {
		this.sponsorSerialNo = sponsorSerialNo;
	}

	/**
	 * @param shopperSerialNo the shopperSerialNo to set
	 */
	public void setShopperSerialNo(String shopperSerialNo) {
		this.shopperSerialNo = shopperSerialNo;
	}

	/**
	 * @param isoRulesInd the isoRulesInd to set
	 */
	public void setIsoRulesInd(String isoRulesInd) {
		this.isoRulesInd = isoRulesInd;
	}

	/**
	 * @param profitCenter the profitCenter to set
	 */
	public void setProfitCenter(String profitCenter) {
		this.profitCenter = profitCenter;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("Shopper [abnNo=");
		builder.append(abnNo);
		builder.append(", acnNo=");
		builder.append(acnNo);
		builder.append(", approveBy=");
		builder.append(approveBy);
		builder.append(", approveDateTime=");
		builder.append(approveDateTime);
		builder.append(", autoApply=");
		builder.append(autoApply);
		builder.append(", autoRenewInd=");
		builder.append(autoRenewInd);
		builder.append(", boScheme=");
		builder.append(boScheme);
		builder.append(", bonusPayMethod=");
		builder.append(bonusPayMethod);
		builder.append(", broadcastInd=");
		builder.append(broadcastInd);
		builder.append(", cardIssue=");
		builder.append(cardIssue);
		builder.append(", coswayId=");
		builder.append(coswayId);
		builder.append(", countryCode=");
		builder.append(countryCode);
		builder.append(", createBy=");
		builder.append(createBy);
		builder.append(", createDateTime=");
		builder.append(createDateTime);
		builder.append(", dateOfBirth=");
		builder.append(dateOfBirth);
		builder.append(", distGroupLeader=");
		builder.append(distGroupLeader);
		builder.append(", edoExpiryDate=");
		builder.append(edoExpiryDate);
		builder.append(", expiryDate=");
		builder.append(expiryDate);
		builder.append(", gender=");
		builder.append(gender);
		builder.append(", gstFillingInd=");
		builder.append(gstFillingInd);
		builder.append(", hobbyInd=");
		builder.append(hobbyInd);
		builder.append(", icNo=");
		builder.append(icNo);
		builder.append(", idCardCollectType=");
		builder.append(idCardCollectType);
		builder.append(", idCardReceive=");
		builder.append(idCardReceive);
		builder.append(", idCardReceiveDate=");
		builder.append(idCardReceiveDate);
		builder.append(", isoExpiryDate=");
		builder.append(isoExpiryDate);
		builder.append(", isoRulesInd=");
		builder.append(isoRulesInd);
		builder.append(", joinDate=");
		builder.append(joinDate);
		builder.append(", lastActivityDateTime=");
		builder.append(lastActivityDateTime);
		builder.append(", lockDateTime=");
		builder.append(lockDateTime);
		builder.append(", loginAttempt=");
		builder.append(loginAttempt);
		builder.append(", modifyBy=");
		builder.append(modifyBy);
		builder.append(", modifyDateTime=");
		builder.append(modifyDateTime);
		builder.append(", multipleCount=");
		builder.append(multipleCount);
		builder.append(", multipleSignIn=");
		builder.append(multipleSignIn);
		builder.append(", nationality=");
		builder.append(nationality);
		builder.append(", newInd=");
		builder.append(newInd);
		builder.append(", occlCardNo=");
		builder.append(occlCardNo);
		builder.append(", password=");
		builder.append(password);
		builder.append(", payByCheque=");
		builder.append(payByCheque);
		builder.append(", profitCenter=");
		builder.append(profitCenter);
		builder.append(", registrationType=");
		builder.append(registrationType);
		builder.append(", retentionAmt=");
		builder.append(retentionAmt);
		builder.append(", seLang=");
		builder.append(seLang);
		builder.append(", secretPassword=");
		builder.append(secretPassword);
		builder.append(", shopperGroup=");
		builder.append(shopperGroup);
		builder.append(", shopperId=");
		builder.append(shopperId);
		builder.append(", shopperName=");
		builder.append(shopperName);
		builder.append(", shopperRefNo=");
		builder.append(shopperRefNo);
		builder.append(", shopperSerialNo=");
		builder.append(shopperSerialNo);
		builder.append(", shopperType=");
		builder.append(shopperType);
		builder.append(", sponsorRefNo=");
		builder.append(sponsorRefNo);
		builder.append(", sponsorSerialNo=");
		builder.append(sponsorSerialNo);
		builder.append(", status=");
		builder.append(status);
		builder.append(", stockistCode=");
		builder.append(stockistCode);
		builder.append(", tempSponsorId=");
		builder.append(tempSponsorId);
		builder.append(", terminateDate=");
		builder.append(terminateDate);
		builder.append(", webMailInd=");
		builder.append(webMailInd);
		builder.append("]");
		return builder.toString();
	}

}
