CREATE TABLE "SHADDR"  (
		  "SARFNBR" INTEGER NOT NULL , 
		  "SASHNBR" INTEGER NOT NULL , 
		  "SANICK" VARCHAR(120) NOT NULL , 
		  "SATITLE" VARCHAR(5) , 
		  "SAADRFLG" CHAR(1) , 
		  "SALNAME" VARCHAR(30) , 
		  "SAFNAME" VARCHAR(30) , 
		  "SAMNAME" VARCHAR(30) , 
		  "SAREPCOM" VARCHAR(80) , 
		  "SAPHONE" VARCHAR(30) , 
		  "HANDPHONE" VARCHAR(30) , 
		  "SAFAX" VARCHAR(20) , 
		  "SAADDR1" VARCHAR(200) , 
		  "SAADDR2" VARCHAR(200) , 
		  "SAADDR3" VARCHAR(200) , 
		  "SACITY" VARCHAR(200) , 
		  "SASTATE" VARCHAR(80) , 
		  "SACNTRY" VARCHAR(5) , 
		  "SAZIPC" VARCHAR(20) , 
		  "SAEMAIL1" VARCHAR(254) , 
		  "SAEMAIL2" VARCHAR(254) , 
		  "SASTMP" TIMESTAMP , 
		  "SADPHTYP" VARCHAR(3) , 
		  "SADPHLST" SMALLINT , 
		  "SAEPHTYP" VARCHAR(3) , 
		  "SAEPHLST" SMALLINT , 
		  "SABTCALL" CHAR(1) , 
		  "SAPKGSUP" SMALLINT , 
		  "PHONE_EXT" VARCHAR(30) , 
		  "OFFICEPHONE" VARCHAR(30) , 
		  "SANICK2" VARCHAR(200) , 
		  "SELANG" VARCHAR(30) , 
		  "POST_OFFICE" VARCHAR(50) , 
		  "MICR_NO" VARCHAR(15) , 
		  "IFSC_CODE" VARCHAR(15) , 
		  "ACC_TYPE" VARCHAR(10) , 
		  "SANICK3" VARCHAR(200) ); 


ALTER TABLE "SHADDR" 
	ADD PRIMARY KEY
		("SARFNBR");


CREATE INDEX "I_SHADDR1" ON "SHADDR" 
		("SASHNBR" ASC);

CREATE INDEX "I_SHADDR2" ON "SHADDR" 
		("SANICK" ASC);

CREATE INDEX "I_SHADDR3" ON "SHADDR" 
		("SASHNBR" ASC,
		 "SAADRFLG" ASC);

CREATE INDEX "I_SHADDR4" ON "SHADDR" 
		("SASHNBR" ASC,
		 "SAADRFLG" ASC,
		 "SACNTRY" ASC);